USN-2347-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-2347-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-2347-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-2347-1
Related
  • CVE-2014-0480
  • CVE-2014-0481
  • CVE-2014-0482
  • CVE-2014-0483
Published
2014-09-16T11:49:24.331712Z
Modified
2014-09-16T11:49:24.331712Z
Summary
python-django vulnerabilities
Details

Florian Apolloner discovered that Django incorrectly validated URLs. A remote attacker could use this issue to conduct phishing attacks. (CVE-2014-0480)

David Wilson discovered that Django incorrectly handled file name generation. A remote attacker could use this issue to cause Django to consume resources, resulting in a denial of service. (CVE-2014-0481)

David Greisen discovered that Django incorrectly handled certain headers in contrib.auth.middleware.RemoteUserMiddleware. A remote authenticated user could use this issue to hijack web sessions. (CVE-2014-0482)

Collin Anderson discovered that Django incorrectly checked if a field represented a relationship between models in the administrative interface. A remote authenticated user could use this issue to possibly obtain sensitive information. (CVE-2014-0483)

References

Affected packages

Ubuntu:14.04:LTS / python-django

Package

Name
python-django

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.6.1-2ubuntu0.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-django-doc": "1.6.1-2ubuntu0.4",
            "python-django": "1.6.1-2ubuntu0.4"
        }
    ]
}